Bug 165951 - Kernel Panic occuring after some time
Kernel Panic occuring after some time
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: GFS (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 05:32 EDT by Axel Westerhold
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Westerhold 2005-08-15 05:32:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Kernel Panic occurs after some time 1 to 3 days when using GFS/dlm 

Aug 14 11:36:09 pstrans2 kernel: Unable to handle kernel paging request at virtual address ffef1489
Aug 14 11:36:09 pstrans2 kernel:  printing eip:
Aug 14 11:36:09 pstrans2 kernel: f8c363ca
Aug 14 11:36:09 pstrans2 kernel: *pde = 00002067
Aug 14 11:36:09 pstrans2 kernel: Oops: 0002 [#1]
Aug 14 11:36:09 pstrans2 kernel: Modules linked in: lock_dlm(U) gfs(U) lock_harness(U) dlm(U) cman(U) ipv6 crc32c libcrc32c md5 iscs
i_sfnet(U) scsi_transport_iscsi dm_mod video button battery ac uhci_hcd ehci_hcd i2c_i801 i2c_core shpchp tg3 e1000 ext3 jbd ata_pii
x libata sd_mod scsi_mod
Aug 14 11:36:09 pstrans2 kernel: CPU:    0
Aug 14 11:36:09 pstrans2 kernel: EIP:    0060:[<f8c363ca>]    Tainted: GF     VLI
Aug 14 11:36:09 pstrans2 kernel: EFLAGS: 00010246   (2.6.12-1.1398_FC4)
Aug 14 11:36:09 pstrans2 kernel: EIP is at depend_sync_one+0x4b/0x210 [gfs]
Aug 14 11:36:09 pstrans2 kernel: eax: 0fc085ff   ebx: f8a8524c   ecx: 0000003c   edx: ffef1485
Aug 14 11:36:09 pstrans2 kernel: esi: f8a85000   edi: 002001f8   ebp: 958bffff   esp: f2174c80
Aug 14 11:36:09 pstrans2 kernel: ds: 007b   es: 007b   ss: 0068
Aug 14 11:36:09 pstrans2 kernel: Process bonnie++ (pid: 18490, threadinfo=f2174000 task=f414d000)
Aug 14 11:36:09 pstrans2 kernel: Stack: badc0ded 00000282 00000246 f7fff080 000000d0 f8a85000 00000296 00000020
Aug 14 11:36:09 pstrans2 kernel:        f8a97e94 00000000 00000000 00000002 f8a8524c 002001f8 f8a85000 f8c36648
Aug 14 11:36:09 pstrans2 kernel:        e69b5d1c f8c356f5 d16d80a8 c16dfcc0 00000000 c16dfcc0 f2174d3c 00000001
Aug 14 11:36:09 pstrans2 kernel: Call Trace:
Aug 14 11:36:09 pstrans2 kernel:  [<f8c36648>] depend_sync_old+0xb9/0x1b8 [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<f8c356f5>] mhc_trim+0x100/0x286 [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<f8c03fae>] gfs_wipe_buffers+0x2ae/0x4c2 [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<f8c39786>] gfs_difree+0x54/0x5a [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<f8c15a3d>] dinode_dealloc+0x16b/0x186 [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<f8c15bc8>] inode_dealloc+0x170/0x264 [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<f8c15d1f>] inode_dealloc_init+0x63/0x82 [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<f8c3db58>] gfs_unlinked_limit+0x11c/0x346 [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<c01f351d>] avc_has_perm_noaudit+0x26/0xd1
Aug 14 11:36:09 pstrans2 kernel:  [<f8c2cca1>] gfs_unlink+0x30/0x12a [gfs]
Aug 14 11:36:09 pstrans2 kernel:  [<c01f3616>] avc_has_perm+0x4e/0x58
Aug 14 11:36:09 pstrans2 kernel:  [<c01f5148>] may_link+0xdb/0x120
Aug 14 11:36:09 pstrans2 kernel:  [<c0190ec3>] vfs_unlink+0x1b6/0x1bd
Aug 14 11:36:10 pstrans2 kernel:  [<c0190f7c>] sys_unlink+0xb2/0x119
Aug 14 11:36:10 pstrans2 kernel:  [<c0103a51>] syscall_call+0x7/0xb
Aug 14 11:36:10 pstrans2 kernel: Code: 85 c0 0f 85 d8 00 00 00 c7 86 e8 44 01 00 01 00 00 00 c7 86 f4 44 01 00 80 4b c4 f8 c7 86 f8
44 01 00 09 01 00 00 8b 17 8b 47 04 <89> 42 04 89 10 c7 07 00 01 10 00 c7 47 04 00 02 20 00 81 be e4
Aug 14 11:36:10 pstrans2 kernel:  <0>Fatal exception: panic in 5 seconds

Version-Release number of selected component (if applicable):
GFS-6.1.0-3 kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. Run System with GFS
2. Mount partition on two maschines
3. Add some stress and wait
  

Actual Results:  Kernel panic (see above)

Expected Results:  No kernel Panic

Additional info:
Comment 1 Jonathan Earl Brassow 2005-11-21 16:15:03 EST
Are you still having this problem, and if so, is it reproducable?
Comment 2 John Thacker 2006-05-05 10:50:34 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.